<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.platform.mapper.DatasetDependencyDao">


    <insert id="insert" keyProperty="id" useGeneratedKeys="true">
        insert into dataset_dependcy(parent_dataset, dataset_name, version, repo_id, identifier, owner, meta, state)
        values (#{parentDataset}, #{datasetName}, #{version}, #{repoId}, #{identifier}, #{owner}, #{meta}, #{state})
    </insert>
</mapper>